const env = import.meta.env.VITE_APP_ENV;

let envApiUrl = "";
let envWsUrl = "";

if (env === "production") {
  envApiUrl = `https://${import.meta.env.VITE_APP_DOMAIN_PROD}`;
  envWsUrl = `wss://${import.meta.env.VITE_APP_DOMAIN_PROD}`;
} else if (env === "staging") {
  envApiUrl = `https://${import.meta.env.VITE_APP_DOMAIN_STAG}`;
} else {
  envApiUrl = `http://${import.meta.env.VITE_APP_DOMAIN_DEV}`;
  envWsUrl = `ws://${import.meta.env.VITE_APP_DOMAIN_DEV}`;
}

export const apiUrl = envApiUrl;
export const wsUrl = envWsUrl;
export const appName = import.meta.env.VITE_APP_NAME;
export const openRegisration = import.meta.env.VITE_APP_OPEN_REGISRATION;